/*
 * Ejercicio 4: cambiar el estado del led (apagado/encendido) al pulsar el botón
 */

const int pinLED = 5;        // pin para el LED
const int pinPulsador = 10;  // pin para el pulsador

int estadoLED;  // variable para recordar cómo estaba el LED

void setup() {
  pinMode(pinLED, OUTPUT);             // ponemos el pin del LED como salida
  pinMode(pinPulsador, INPUT_PULLUP);  // ponemos el pin del pulsador como entrada PULL-UP
}

void loop() {
  int lectura;                         // declaramos una variable para guardar nuestras lecturas
  lectura = digitalRead(pinPulsador);  // leemos el valor del pin del pulsador

  if (lectura == LOW)  //comparamos si el valor leído es igual a 0/LOW
  {
    // ¡el botón está pulsado!
    // cambiamos el estado del LED de encendido a apagado
    estadoLED = !estadoLED;           // invertimos el estado almacenado del LED
    digitalWrite(pinLED, estadoLED);  // aplicamos el nuevo estado al propio LED
    delay(250);                       // esperamos un cuarto de segundo para evitar "rebotes" del pulsador
  }
}
